\begin{algorithmic}
  \State~$\iterindex \gets 0$
  \Comment{Iteration count}
  \State~$c \gets$ false
  \Comment{Flag if converged or not}
  \While{$\iterindex < \iterindex_{\ms{max}} \, \wedge \, \sim c$}
    \State~$\itervar*_{\iterindex} \gets \frac{a + b}{2}$
    % \State~$y \gets f \of{\itervar*_{\iterindex}}$
    \If{$\abs{a - \itervar*_{\iterindex}} \leq \threshold_{\ms{s}} \, \vee \, \abs{ f \of{\itervar*_{\iterindex}} } \leq \threshold_{\ms{r}}$}
      \Comment{\parbox[t][2.10\baselineskip]{0.35\linewidth}{Check interval too narrow or residual below tolerance}}
      \State~$c \gets$ true
      \Comment{Algorithm has converged}
    \Else
      \If{$ f \of{\itervar*_{\iterindex}} \, f \of{a} < 0~$}
        \State~$b \gets \itervar*_{\iterindex}$
      \Else
        \State~$a \gets \itervar*_{\iterindex}$
      \EndIf
    \EndIf
    \State~$\iterindex \gets \iterindex + 1$
    \Comment{Update iteration counter}
  \EndWhile
\end{algorithmic}
